<?

// usuwanie zaladowanej fotki
if(isset($_POST['usun']))
{
	if(isset($_POST['usun_foto']))
	{
		$file = KATALOG_ZDJEC.$_POST['usun_foto'];
		
		if(file_exists($file))
		{
			unlink($file);
		}
		
		$zdjecie = $_POST['zdjecie'];
		
		$x=0;
		$jest=false;
		
		while($x!=$max_ile_zdjec)
		{
			if($zdjecie[$x]==$_POST['usun_foto'] and !$jest)
			{
				$zdjecie[$x] = null;
				$jest=true;
			}
			
			$x++;
		}
		
		$komunikat = "Zdjecie zostało usunięte pomyślnie";
	}
	
	if(!isset($_POST['usun_foto']))
	{
		$komunikat = "Zaznacz zdjęcie które chcesz usunšć.";
	}
}

// ladowanie fotki
if(isset($_POST['upload']))
{
	if($_FILES['imagefile']['size']<=2048000)
	{
		if ($_FILES['imagefile']['type'] == "image/pjpeg" or $_FILES['imagefile']['type'] == "image/jpeg")
		{
			// pobranie listy plikow starszych niz 2 godziny
			/*
			$lista=array();
			$katalog = opendir(KATALOG_ZDJEC);
			while ($plik = strtolower(readdir($katalog)))
			{
				if (($plik<>".")&&($plik<>"min")&&($plik<>"..")&&($plik<>"index.php")&&($plik<>"brak.jpg"))
				{
					if((time() - (60*60*2))>filemtime(KATALOG_ZDJEC.$plik)){$lista[] = $plik;}
				}
            }
            closedir($katalog);
            sort($lista);
			// jesli X pliku nie ma w bazie to usun
			/*
			for ($i=0;$i<count($lista);$i++)
			{
				$ile1 = mysql_num_rows(mysql_query ("SELECT id FROM ".$db_pref."katalog_produktow WHERE zdjecie LIKE '%".$lista[$i]."%';"));
				$ile2 = mysql_num_rows(mysql_query ("SELECT id FROM ".$db_pref."galeria WHERE nazwa_pliku LIKE '%".$lista[$i]."%';"));					
				
				if($ile1==0 and $ile2==0)
				{
					$file = KATALOG_ZDJEC.$lista[$i];
					if(file_exists($file)){ @unlink($file); }
				}
            }						
			*/
			// losowanie nowej nazwy dla pliku
			
			function nowa_nazwa($len) 
            {
				$rstr = ''; 
				
				for($i=0;$i<$len;$i++) 
				{
					$p = rand(0,1);
					
					switch($p) 
					{
						case(0): $rstr .= chr(rand(ord('0'),ord('9')));break; 
						case(1): $rstr .= chr(rand(ord('a'),ord('z')));break;
					}
				}
				
				return $rstr; 
            }
			
			
			$jest=false;
			while(!$jest)
			{
				$nowa_nazwa_fotki = nowa_nazwa(20).".jpg";
				$file = KATALOG_ZDJEC.$nowa_nazwa_fotki;
				if(!file_exists($file))
				{
					$jest=true;
				}
			}
			
			copy ($_FILES['imagefile']['tmp_name'], KATALOG_ZDJEC.$nowa_nazwa_fotki) or $komunikat = "Blad podczas kopiowania"; 
			
			if($komunikat=="")
			{
				$rozmiar_KB = sprintf("%01.2f",$_FILES['imagefile']['size']/1024);
				$komunikat = "Zdjęcie (".$_FILES['imagefile']['name'].") zostało załadowane pomyślnie. Rozmiar: ".$_FILES['imagefile']['size']." bajtów (".$rozmiar_KB." kB)";
				
				$zdjecie[0] = $nowa_nazwa_fotki;
				
				$x=0;
				$jest=false;
				
				while($x!=$max_ile_zdjec)
				{
					if($zdjecie[$x]==null and !$jest)
					{
						$zdjecie[$x]=$nowa_nazwa_fotki;
						$jest=true;
					}
					$x++;
				}
			}
		}
		else
		{
			if($_FILES['imagefile']['name']!=NULL)
			{
				$komunikat = "Zdjęcie nie zostało załadowane, Błędny typ pliku ".$_FILES['imagefile']['name'].", Typ: ".$_FILES['imagefile']['type'];
			}
		}
	}
	else
	{
		$komunikat = "Zdjęcie nie zostało załadowane, Błędny rozmiar pliku ".$_FILES['imagefile']['name'].", Rozmiar: ".sprintf("%01.2f",$_FILES['imagefile']['size']/1024)." kB";
	}
}


$x=0;
$jest=false;
$min_1_foto=false;
while($x<$max_ile_zdjec)
{
	if($zdjecie[$x]!=null)
	{
		if($x==($max_ile_zdjec-1) and $zdjecie[$x]!=NULL and $zdjecie[$x]!="brak.jpg")
		{
			$jest=true;
		}
		
		if($zdjecie[$x]!="brak.jpg")
		{
			$min_1_foto = true;
			
			$mod_out .= '<img src="'.$adres_serwisu.'min_350_400_'.$zdjecie[$x].'" style="border: 1px solid #000000"><input type="hidden" value="'.$zdjecie[$x].'" name="usun_foto"> ';					

		}

	}
	
	$x++;
}

if($min_1_foto)
{
	$mod_out .= '<input type="submit" value="Usuń" name="usun" class="f-submit"><br><br>';
}


if(!$jest)
{
	$mod_out .= 'Plik ze zdjęciem: <input type="hidden" name="upload" value="1"><input onchange="javascript:document.formGaleria.submit();" type="file" name="imagefile"><br><small>(maksymalny rozmiar <b>1</b> zdjęcia to <b>2Mb</b>, tylko pliki typu <b>.JPG</b>)</small>';
}

$x=0;

while($x<$max_ile_zdjec)
{
	if($zdjecie[$x]!=null)
	{
		$mod_out .= '<input type="hidden" name="zdjecie[]" value="'.$zdjecie[$x].'">';
	}
	
	$x++;
}

?>